From: [email-masked] (Christopher Ryan)
Date: 24-Apr-1995 11:11:12 +0800

Greetings from the Evergreen State!!!
LCRW needs one update to the listing.  We have a new voice 
mail number for all contacts.  That number is (206) 517-7709.  If you could 
update this on the listing, it would be greatly appreciated.

V.P. LCRW
Christopher Ryan

50 S. Main #25-S15
Salt Lake City, UT  84144
(801) 364-5930

**********************************************************************
All information contained in this electronic mail message is the
sole intellectual property of Christopher Ryan and cannot be used
without written permission from the copyright holder. (c) 1995,
Christopher Ryan.
*********************************************************************